API ReferenceapicommunityGET /v1/posts/by-author/{author_id}

GET /v1/posts/by-author/\{author_id\}

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • author_id (string) required

Query parameters

  • brand_id (string) required
  • limit (integer) —
  • cursor (string) —

Responses

200 Posts by author

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "author_id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "content": {
            "type": "string"
          },
          "score": {
            "type": "integer"
          },
          "reaction_counts": {
            "type": "object",
            "additionalProperties": {
              "type": "integer"
            }
          },
          "tags": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "metadata": {
            "type": "object",
            "additionalProperties": {}
          },
          "media_urls": {
            "type": "array",
            "items": {}
          },
          "moderation_status": {
            "type": "string"
          },
          "created_at": {
            "type": "string"
          },
          "updated_at": {
            "type": "string"
          },
          "edited_at": {
            "type": [
              "string",
              "null"
            ]
          },
          "edit_window_ends_at": {
            "type": "string"
          },
          "is_broadcast": {
            "type": "boolean"
          },
          "broadcast_role": {
            "type": [
              "string",
              "null"
            ]
          },
          "pinned_until": {
            "type": [
              "string",
              "null"
            ]
          },
          "pinned_by_staff_at": {
            "type": [
              "string",
              "null"
            ]
          }
        },
        "required": [
          "id",
          "author_id",
          "brand_id",
          "content",
          "score",
          "reaction_counts",
          "tags",
          "metadata",
          "media_urls",
          "moderation_status",
          "created_at",
          "updated_at",
          "edited_at",
          "edit_window_ends_at",
          "is_broadcast",
          "broadcast_role",
          "pinned_until",
          "pinned_by_staff_at"
        ]
      }
    },
    "next_cursor": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "data",
    "next_cursor"
  ]
}

Example

curl -X GET https://community.platform.loop.health/v1/posts/by-author/{author_id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"